//Funzione di risposta alla chiamata ajax che carica la nuova pagina e esegue l'animazione di slider
function pageSlider (data, text, xhr) {

	//Inserisci il contenuto della pagina nel nuovo contenitore
	$('.page-slide-2').html(xhr.responseText);
	
	//Fa scorrere i contenitori verso sinistra
	$('.page-slider-inner-wrap').animate({
		marginLeft: - $('.page-slider-inner-wrap').width() / 2
	}, 2000, function() {
		//Appena i contenitori terminano di muoversi si prepara per un nuovo clic in questo modo:
		
		//Inserisce il contenuto della nuova pagina anche nel primo contenitore
		$('.page-slide-1').html(xhr.responseText);
		//Fa tornare il primo contenitore visibile e il secondo invisibile in maniera instantanea
		$('.page-slider-inner-wrap').css('margin-left', 0);
		//Svuota il secondo contenitore
		$('.page-slide-2').html('');

	});
}

jQuery(document).ready(function() {
	
	//Soltanto i link con la classe .slide-item faranno partire lo slider
	$('a.slide-item').click(function(event) {
		
		//Prende il nome della pagina corrente
		var currentPage = document.location.pathname.substring(document.location.pathname.lastIndexOf('/') + 1);
		
		//Se il link che viene cliccato non porta alla pagina corrente allora..
		if ($(this).attr('href') != currentPage){
			
			if (history && history.pushState) {	
				//Inserisce la nuova pagina nella history del browser
				history.pushState(null, document.title, $(this).attr('href'));
					
					//Richiama la nuova pagina attraverso una chiamata ajax
					$.get($(this).attr('href'), {ajax:'1'}, function(data, text, xhr) {
						//Fa partire l'animazione
						pageSlider(data, text, xhr);
					});
				
				event.preventDefault();	
			}
		}
	});

});

//Permette di ottenere l'effetto dello slide anche quando si clicca sui tasti indietro o avanti del browser
window.addEventListener('load', function() {
	$ = jQuery;
	
	setTimeout(function() {
		window.addEventListener('popstate', function() {
			$.get(location.href, {ajax:'1'}, function(data, text, xhr) {
				pageSlider(data, text, xhr);
			});
		});
	}, 0);
	
});